Package org.eclipse.launchbar.core.target

# Interface ILaunchTargetProvider

public interface ILaunchTargetProvider
A launch target provider is responsible for managing the list and status of launch targets. Providers are associated with launch target types in the launchTargetTypes extension point.

## Method Summary

Modifier and Type
Method
Description
`TargetStatus`
`getStatus(ILaunchTarget target)`
Fetch the status for the launch target.
`void`
`init(ILaunchTargetManager targetManager)`
Called by the launch target manager when it first sees a target of the type.

## Method Details

### init

void init(ILaunchTargetManager targetManager)
Called by the launch target manager when it first sees a target of the type. Or on startup if the provider is enabled. It is expected the provider will sync the list of targets with it's internal list and alert the manager of any non-OK statuses.

Parameters:
  `targetManager` -

### getStatus

TargetStatus getStatus(ILaunchTarget target)
Fetch the status for the launch target.

Parameters:
  `target` - the launch target
Returns:
  status of the launch target